# Record TCefCookie

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefCookie = record`

## Description

Cookie information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cookie_t))

## Overview

### Fields

| `size: NativeUInt;`
| `name: TCefString;`
| `value: TCefString;`
| `domain: TCefString;`
| `path: TCefString;`
| `secure: Integer;`
| `httponly: Integer;`
| `creation: TCefBaseTime;`
| `last_access: TCefBaseTime;`
| `has_expires: Integer;`
| `expires: TCefBaseTime;`
| `same_site: TCefCookieSameSite;`
| `priority: TCefCookiePriority;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `name: TCefString;`
The cookie name.

| `value: TCefString;`
The cookie value.

| `domain: TCefString;`
If |domain| is empty a host cookie will be created instead of a domain cookie. Domain cookies are stored with a leading "." and are visible to sub-domains whereas host cookies are not.

| `path: TCefString;`
If |path| is non-empty only URLs at or below the path will get the cookie value.

| `secure: Integer;`
If |secure| is true the cookie will only be sent for HTTPS requests.

| `httponly: Integer;`
If |httponly| is true the cookie will only be sent for HTTP requests.

| `creation: TCefBaseTime;`
The cookie creation date. This is automatically populated by the system on cookie creation.

| `last_access: TCefBaseTime;`
The cookie last access date. This is automatically populated by the system on access.

| `has_expires: Integer;`
The cookie expiration date is only valid if |has_expires| is true.

| `expires: TCefBaseTime;`
This item has no description.

| `same_site: TCefCookieSameSite;`
Same site.

| `priority: TCefCookiePriority;`
Priority.

Generated by PasDoc 0.16.0-snapshot.